apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: ruuvibridge-rainweg
  name: ruuvibridge-rainweg
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ruuvibridge-rainweg
  strategy: {}
  template:
    metadata:
      labels:
        app: ruuvibridge-rainweg
    spec:
      containers:
      - image: ghcr.io/scrin/ruuvibridge:v0.3.0
        name: ruuvibridge
        volumeMounts:
          - name: config
            mountPath: /config.yml
            subPath: config.yaml
      volumes:
        - name: config
          secret:
            secretName: config-rainweg
